Outlook Conduit for palmOne

Important: This update will only install on systems with the palmOne Outlook Conduits previously installed. If you sync only with Palm Desktop, or use a different product to synchronize with Microsoft Outlook, this update will not work. If you are a T3 or TE handheld user you should install Outlook Conduits for Palm Update v1.01 before Installing v1.02.
Price USD0
License Free to try
File Size 1.24 MB
Version 1.02
Operating System Mobile
System Requirements
  • Windows 98/ME/NT4/2000/XP/2003
  • Tungsten T3, E, T5; Zire 31, 72; Treo 650